import time

from netforce.model import Model,fields,get_model
from netforce.access import get_active_company

class ReportMedicalSummary(Model):
    _name="clinic.report.medical.summary"
    _string="Report Medical Summary"
    _transient=True
    
    _fields={
        "date": fields.Date("Month", required=True),
    }

    _defaults={
        'date': lambda *a: time.strftime("%Y-%m-%d"),
    }
    
    def get_report_data(self,ids,context={}):
        obj=self.browse(ids)[0]
        
        company_id=get_active_company()
        company=get_model('company').browse(company_id)
        data={
            'company_name': company.name or "",
            'parent_company_name': company.parent_id.name or "",
        }
        return data

ReportMedicalSummary.register()
